---
author: ~el
published: true
title: intro to irc
description: ok so now what do you do?
category:
    - main
---

while this will _not_ be a comprehensive guide on all the software available,
it will hopefully point you in the right direction. it is adapted from the one
on the [libera.chat website](https://libera.chat)

## connecting for the first time

to use irc, first you need to choose a client application. they vary a lot, but
most will have the same basic features and do _not_ cost money, so don't worry
about picking the wrong one.

you can always use our webchats to avoid installing anything yet:
[our kiwiirc](https://tilde.chat/kiwi/) or [our gamja](https://tilde.chat/gamja/)
browser clients will automatically connect you to `#helpdesk`.

if you're running a client on a tilde, your client might have been automatically
configured for you when your account was made. most tildes have command line
clients like [weechat](https://weechat.org) or [irssi](https://irssi.org) already
installed so you can try them out and decide which one you prefer. try running
`weechat` or `irssi` to connect to `tilde.chat`.

if you're running a client you installed yourself on your own phone or computer,
most will have some kind of intro or wizard to get you going. look for a network
called `tilde` or `tilde.chat` if there is a network directory, or set the
network address to `irc.tilde.chat` with port `6697`.

if there is no wizard, or the process is confusing, you can try to check out the
client's website for some documentation about how to set it up. you can also just
connect through the kiwiirc or gamja webchats mentioned above and find someone to
help. the webchats will connect you to `#helpdesk`, and someone there can point
you in the right direction if you explain what client you are trying to use.

## talking

just like in instant messengers, there will be a field in the app where you
will be able to type things. this is where you chat.

this chat field is also where you can do commands to the server or the client.
commands start with a `/`.

## conversation windows

conversations windows are also known as tabs or buffers. they behave similar
to how you might expect from other chat apps.

in most desktop clients, a list of conversations will be down the left-hand
side in a column. in phone apps, there might be a drawer widget you need to
pull out.

selecting different items in this list will change what is shown in the main
section of the client, above the field you type chat and commands into.

the top one is probably the name of the network. when you are doing commands
you don't want others to see, such as [registering](nicks) an account,
this is a safe place to type them.

tabs starting with `#` are group chats, which are called `channels`. On
desktop clients, a user membership list will probably show down the right-hand
side of the screen when you have these conversations selected. on phones the
membership list might be in another drawer widget.

tabs underneath the channels are private conversations you have with people,
or bots, on the network. these are often referred to as a "pm" (private
message) or "queries".

## private conversations

you can often start private conversations with someone by double-clicking on
their name, also called a nickname or nick, in the membership list. if that
doesn't work you can achieve the same thing using the `/query` command. For
example, if you wanted to say "hi!" to the person with the nickname "john" you
would do:

```
/query john hi!
```

some people don't like unsolicited private conversations, so only do this with
people you know from talking in channels after asking their permission.

## services

services are specialized bots that help the network run smoothly. they manage
users and channels, among other things.

using services is how you [register a nickname](nicks), and identify (log in)
when you return for another irc session in the future.

they're also how you [register channels](channels) if you ever need to do that.

## topics

in most irc clients, a channel's topic description can be found at the top of
the screen. if you can't see all of it, you can have it displayed to you using
the `/topic` command.

you can find new channels on our [channels page](https://tilde.chat/stats) and sort
by channel name or by topic description. some clients like kiwiirc and hexchat
have built in channel list search wizards. in command line clients, look for
search instructions with `/help list`

## channel roles

when you're in channels, you might notice that some people in the membership
list have symbols next to their nicknames. most people will not have a role in
the channels.

on tilde.chat, the people with symbols have either the "admin", "operator",
'half-operator', or "voiced" modes.

admins own the channels. operators and half-ops (which have a subset of 
operator commands) are the people that run that help run specific channel and
are responsible for moderating the chat, so sometimes they might remove or silence
people individually or set the channel to moderated mode.

when the channel is in moderated mode, comments from voiced users can still be
seen. often channels will give voice or one of the operator modes to their helper
bots.

## commands cheat sheet

this is a very small sample of commands that you may find useful as you get
started learning irc. in many clients, there might be buttons for these.

command parts shown in `[]` are optional.

- `/join #helpdesk`
  - enter the channel `#helpdesk`.
- `/part [#helpdesk] [message]`
  - exit the channel `#helpdesk`.
  - if no channel is given, you will part the channel you type this into.
  - the optional message will be shown to only this channel on your departure.
- `/nick nickname`
  - changes your nickname to the one you specify.
- `/msg nickname message`
  - sends a private message to user "nickname" _without_ opening a new
    conversation window.
- `/query nickname [message]`
  - open a conversation window with user "nickname", and optionally include a
    message.
  - the other user will _not_ know you did this until you send messages.
  - this is useful for ensuring your conversation goes to the correct place,
    such as when you're [registering](nicks) with `nickserv`.
- `/me action`
  - use this for emotes. it will appear something like `* nickname action`.
- `/quit [message]`
  - disconnects you from the network.
  - the optional message will be shown to every channel you are in.

some commands will differ in implementation depending on your client. if the
following do not work as expected, see your client's website for documentation
or ask in their irc channel, which will be listed on their website.

- `/ignore nickname`
  - may stop you seeing the user talk. useful if they are being a pest.
- `/unignore nickname`
  - may allow you to see the user again if you change your mind.
- `/ignores`
  - may list the current ignores you have set.

## i need more help!

if you get lost, you can always join `#helpdesk`.

for a chat directly in your browser [click here](https://tilde.chat/kiwi/), click
the `start` button, and ask questions.
